function b = binom (n,k);
%BINOM  Compute the binomial coefficient
%
%   b = binom (n,k)
%
%
%   computes
%
%            n!
%   b =  ---------
%        (n-k)! k! 
%

% OMN - 1996

if k>n | n<0 | k<0
  b = -1; % Error condition
elseif k==n | n==0 | k==0
  b=1;
else
  nom   = 1;
  denom = 1;

  for i=1:k,
    denom = denom*i;
  end;
  for i=n-k+1:n,
    nom = nom*i;
  end;

  b = nom/denom;  
end;
