function hp=low2hi(lp)
%LOW2HI  High pass filter from low pass filter.
%
%  hp = low2hi(lp)
%
%  Input
%    lp: Low pass filter, for example obtained from daubfilt.
%
%  Output:
%    hp: Corresponding high pass filter
%
% See also daubfilt.

% Ole Moller Nielsen, UNI-C, 1995

D = length(lp);

if rem(D,2) ~= 0
  D = D+1;
  lp(D) = 0;
end


hp = zeros (D,1);  
sign=-1;
for k=1:D
  hp(D+1-k) = sign*lp(k);
  sign=-sign;
end