function r = pmod (k, N)
%PMOD Protected modulus 
%
%  r = pmod (k, N)
%
%  Input
%    k, N: integers 
%
%  Output
%
%    r: k mod N 
%
%  pmod is defined such that r belongs to [0,N-1] for all k, N
%

% Ole M N - 16 april 1997

   
if (k < 0)
  if N < 0, N=-N; end;
  r = k - floor(k/N)*N;
else  
  r = rem(k, N);
end  

