function haar
%
% Plot wavelet in frequency domain
%
% OMN - 2000

%
% PARAMS
%
D = 14;   % Wavelet Genus
S = 2;   % Size of domain in multiples of supp(phi) = D-1. (Default S=1)
q = 7;   % Resolution = 2^q
fs = 14; % Font size




[x,phi,psi] = cascade(D,q);

func = psi;  %Choos scaling function (phi) or wavelet (psi)


N = S*(length(x)-1)+1;
L = D-1;
L = S*L;


%Embed in [-2L,2L] where L = D-1 = supp(func)

%u = [zeros(length(x)-1,1); func];
%x = [-flipud(x); x(2:end)];


x = linspace(-L,L,2*N-1)';
u = zeros(size(x));

idx = find(x >= 0 & x <= D-1);
u(idx) = func; 

figure(1)
plot(x,u)
if D == 2
  set(gca,'Xlim',[-1 2])
  set(gca,'XTick',-1:2)  
end;
if D == 14
  set(gca,'Xlim',[-1 14])
  %set(gca,'XTick',-1:2)  
end;
  
%xlabel('x','Fontsize',fs);
set(gca,'Fontsize',fs);


%
% Fourier analysis
%

[xi,uhat] = foutran(x,u);

figure(2);clf;
xi2pi = 2*pi*xi;

plot(xi, abs(uhat))
%set(gca,'Xlim',[-10 10])
set(gca,'Xlim',[0 10])
%xlabel('2 \pi \xi','Fontsize',fs);
set(gca,'Fontsize',fs);

return
