function wmenu(x1,x2)
%
% Wrapper around wavemenu.m which is a graphical front end to wavelet package
% performing 1D wavelet analysis
%
% Usage:
%
%  wmenu(y) where y is a vector invokes wavemenu with that vector 
%           scaled to the unit interval
%            
%  wmenu(x,y) where x and y are two vectors of same length invokes 
%             wavemenu on signal y defined on abscissae x 
%
% OMN, ANU - 2002


if nargin > 0
  global xglob yglob
  if nargin == 1
    % Assume data defined on unit interval
    yglob = x1;
    xglob = (0:length(x1)-1)/length(x1);
  else
    yglob = x2(:);
    xglob = x1(:);
    if length(yglob) ~= length(xglob)
      fprintf('Input vectors must have the same length\n');
      return
    end; 
  end;
end;

wavemenu

